summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..cdf74a173c2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Ahmad Hasan Mubashshir <ahmubashshir@gmail.com>
+# pkg: git
+pkgname=transmission-trackers-git
+pkgver=r21.10849a0
+pkgrel=1
+pkgdesc=""
+arch=('any')
+url="https://github.com/blind-oracle/transmission-trackers"
+license=('unknown')
+depends=(
+ 'systemd'
+ 'transmission-cli'
+ 'python-transmissionrpc'
+ 'python-toml'
+)
+provides=('transmission-trackers')
+conflicts=('transmission-trackers')
+install=${pkgname%*-git}.install
+source=(
+ "git+https://github.com/blind-oracle/transmission-trackers.git"
+ "transmission-trackers.service"
+ "transmission-trackers.timer"
+)
+sha256sums=('SKIP'
+ '52304cf9430f274eb90cb0929787560703b74230b2485a2c4633793c876c4900'
+ '0b7ff86930e1732c65d323c8641b43ec5f3aa2a6c9a8b108b0421ca92d977db4')
+
+pkgver()
+{
+ cd "$srcdir/${pkgname%*-git}"
+ ( set -o pipefail
+ git describe --tags --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ install -Dm755 "$srcdir/${pkgname%*-git}/transmission-trackers.py" "$pkgdir/usr/bin/transmission-trackers"
+ install -Dm644 "$srcdir/transmission-trackers.service" "$pkgdir/usr/lib/systemd/user/transmission-trackers.service"
+ install -Dm644 "$srcdir/transmission-trackers.timer" "$pkgdir/usr/lib/systemd/user/transmission-trackers.timer"
+}